Автор Тема: ошибка при установке yEd Grath Editor  (Прочитано 299 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн draccar

  • Новичок форума
  • Topic Author
  • Сообщений: 6
ошибка при установке yEd Grath Editor
« : 05 Ноябрь 2019, 18:37:32 »
Здравствуйте!
Прошу помощи у знатоков Дебиан.
Debian 10, пытаюсь обходиться без Винды. Юзер я вроде опытный (в Винде), но, как выясняется, не очень.
очень нужно установить программу для создания диаграмм. Поиском нашел yEd. Симпатичные диаграммы на картинках, заказчику должны понравиться. И вот, в предвкушении красоты на диаграммах, скачиваю пакет, разными способами пытаюсь его установить (прошу не ржать, я юзер виндоус так-то, в линуксе читаю и в Интернете ищу), каким-то образом инсталляция запускается, но ...Could not display the GUI. This application needs access to an X Server
а теперь и вообще не могу вспомнить, какой же командой я запускал эту гребаную инсталляцию, так как терминал закрыл, а при попытке использовать сохраненные в памяти команды,  инсталляция не запускается...воот...и беда эта уже несколько часов как...а роскоши неделю искать ответ нету. какая вообще логика решения? поиск по всяким результатам поиска выдал причину, что конфликтуют 64-разрядная операционка и какие-то 32-битные библиотеки. Но мне это как медведю калькулятор...
 

Оффлайн Modigar

  • Местный житель
  • ***
  • Сообщений: 358
Re: ошибка при установке yEd Grath Editor
« Ответ #1 : 05 Ноябрь 2019, 18:51:45 »
скачал yEd-3.19.1.1_with-JRE13_64-bit_setup.sh выставил ему права на выполнение
запустил, указал путь, куда он распакуется и установится, он установился в указанной папке появился исполняемый файл "yEd"
2 клика по нему в "проводнике" (в моем случае это Долфин, и запустилось все.
Виндоподход в абсолюте, и рутовых прав не надо.
 
Пользователи, которые поблагодарили этот пост: draccar

Оффлайн draccar

  • Новичок форума
  • Topic Author
  • Сообщений: 6
Re: ошибка при установке yEd Grath Editor
« Ответ #2 : 05 Ноябрь 2019, 20:15:27 »
Так не получалось. Это был один из вариантов. При запуске по умолчанию открывает в текстовом редакторе, поэтому открывал в центре приложений, получил ответ "не удалось установить файл:не поддерживается". Права на выполнение галочкой установлены. Вот скопировал:


root@123:/home/123/Загрузки# sudo sh yEd-3.19.1.1_with-JRE13_64-bit_setup.sh
Unpacking JRE ...
Starting Installer ...
No protocol specified
Could not display the GUI. This application needs access to an X Server.
root@123:/home/123/Загрузки#
« Последнее редактирование: 05 Ноябрь 2019, 20:30:39 от draccar »
 


Оффлайн draccar

  • Новичок форума
  • Topic Author
  • Сообщений: 6
Re: ошибка при установке yEd Grath Editor
« Ответ #3 : 05 Ноябрь 2019, 20:51:01 »
Установил. Благодаря этому форуму. Не из-под рута пошла инсталляция! Как я рад! Полвечера убил! Подсказка в ответе пользователя kobzar
Искренне благодарен!
 

Оффлайн draccar

  • Новичок форума
  • Topic Author
  • Сообщений: 6
Re: ошибка при установке yEd Grath Editor
« Ответ #4 : 05 Ноябрь 2019, 20:56:22 »
 


Вот что значит виндовое мышление. Как может приложение не запуститься под рутом, а запуститься под юзером!
« Последнее редактирование: 05 Ноябрь 2019, 21:19:31 от draccar »
 

Оффлайн Gamliel

  • Гамлиэль Фишкин
  • Пользователь
  • *
  • Сообщений: 28
  • Linux user since 2009
Re: ошибка при установке yEd Grath Editor
« Ответ #5 : 06 Ноябрь 2019, 15:37:50 »
Установил.
Рад, что всё получилось. На всякий случай посмотри́те ещё одну программу: редактор диаграмм Dia.

«Dia – редактор диаграмм, графиков, схем и т.д. Есть поддержка диаграмм статических структур UML (диаграммы классов), диаграмм отношений, сетевых диаграмм и многих других. Возможен экспорт в postscript и многие другие форматы». Несколько скриншотов.

Установка:
sudo apt-get install dia dia-shapes
Удаление:
sudo apt-get remove dia dia-shapes
sudo apt-get autoremove
 
Пользователи, которые поблагодарили этот пост: draccar

Оффлайн draccar

  • Новичок форума
  • Topic Author
  • Сообщений: 6
Re: ошибка при установке yEd Grath Editor
« Ответ #6 : 08 Ноябрь 2019, 18:44:22 »
Dia загрузил. Забавный факт -- диаграммы, которые уже создал в yed, dia не может открыть - форматы разные!
 

Оффлайн Gamliel

  • Гамлиэль Фишкин
  • Пользователь
  • *
  • Сообщений: 28
  • Linux user since 2009
Re: ошибка при установке yEd Grath Editor
« Ответ #7 : 09 Ноябрь 2019, 20:19:02 »
Dia загрузил. Забавный факт -- диаграммы, которые уже создал в yed, dia не может открыть - форматы разные!
А наоборот? Или каждый из них поддерживает только по одному формату?
 

Оффлайн draccar

  • Новичок форума
  • Topic Author
  • Сообщений: 6
Re: ошибка при установке yEd Grath Editor
« Ответ #8 : 09 Ноябрь 2019, 20:39:04 »
В yed есть экспорт в разные типы файлов. Уже смотрел -- там все основные есть, таким образом, предполагаю, и в dia можно будет перекинуть файлик. Не читается лишь формат по умолчанию.
 

Теги: yed gui 
 

Evince - Ошибка сегментирования

Автор Vic

Ответов: 16
Просмотров: 4734
Последний ответ 13 Ноябрь 2012, 13:54:17
от Malaheenee
Ошибка gnome и вход рабочего стола в альтернативном режиме

Автор SkyRewir

Ответов: 21
Просмотров: 2191
Последний ответ 02 Февраль 2015, 22:24:51
от qupl
Gnome 3.14 ошибка

Автор dmitriy566

Ответов: 1
Просмотров: 1044
Последний ответ 08 Февраль 2016, 05:27:33
от ihammers